import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Dialog } from './components/dialog';
export var DialogComponent = Intact.decorate(Dialog, 'k-dialog');
var components = [DialogComponent];
var DialogModule = /** @class */ (function () {
    function DialogModule() {
    }
    DialogModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], DialogModule);
    return DialogModule;
}());
export { DialogModule };